Topic: GNU Fortran Compiler documentation version

The gfortran compiler reference manual provided by the SF install under Windows is out of date compared to the version of the compiler installed.  Copyright on the installed manual is 2014, so I suspect it is for Version 5.x of gfortran.

Re: GNU Fortran Compiler documentation version

Ah yes, it appears the build system is pulling quite an old version for some reason.  I'll see that it's fixed.

Jeff Armstrong
Approximatrix, LLC

Re: GNU Fortran Compiler documentation version

after installation of the newest version I got the following  run time error:
At line 86 of file .\Ins_del.f90
Internal Error: get_unit(): Bad internal unit KIND

Error termination.
.....
This is caused by an internal write as follows:

DO i =  maxrow, cel%r+1, -1 ! move rows by one up first untill new maxrow
    row(i+scroll)= row(i+scroll-1)
    Write(row(i+scroll)(:3),'(I3)') i+scroll!+1
end do

Row() is declared in a module used by ins_del:
Character(len=maxcols) row(maxrows)   

Is this a bug??
regards, Klaus

Re: GNU Fortran Compiler documentation version

Klaus,

I can't replicate this error in a simple program like you've described.  My code is:

program rowprint
implicit none

    character(len=30) row(30)
    integer::i
    
    do i = 1, 30
        write(row(i)(:3), '(I3)') i
    end do
    
    do i=1,10
        print *, trim(row(i))
    end do
    
end program rowprint

I don't seem to be getting a runtime error.  Is there a possibility you're overrunning array bounds?

Jeff Armstrong
Approximatrix, LLC

Re: GNU Fortran Compiler documentation version

Hello Jeff,
I looked to the array bounds and cannot find any error.
Next I installed SF2.36 again and every thing was OK.
May be the problem is that I did compile the main program with 2.37 and did not compile the library again!?!?
Because also the GNU version is updated, I can imagine that all source should be recompiled ....
I'll try to compile both tomorrow or in the next day's with 2.37
Regards, Klaus

Re: GNU Fortran Compiler documentation version

For whatever it's worth, I received a WRITE() error in a previously compile SF 2.36 program when trying to run it under SF 2.37.
However, once the project was 'cleaned' and recompiled, it ran just fine.

Frank

Re: GNU Fortran Compiler documentation version

Thanks for that info!
After installing SF 2.37 again and compilation of all files including the library the program was OK!
Remark for every body: Recompile all your source again after installing SF 2.37 containing also The actual GNU Fortran version!

Regards Klaus

Re: GNU Fortran Compiler documentation version

Interesting discussion...  It seems that an incompatible change within the runtime library led to this problem.  These issues can occur when we update the compiler.  I'm glad the problem seems resolved!

Jeff Armstrong
Approximatrix, LLC

Re: GNU Fortran Compiler documentation version

The situation you describe is almost always true with gfortran when updating to a new version (for example version 6.x to 7.x in this case).  The .mod files are also subject to a change in format with version changes, so best practice is to completely rebuild a project when gfortran releases a new point release version.

Re: GNU Fortran Compiler documentation version

The module versioning hasn't changed in a few releases, thankfully. For a while, GNU Fortran module versions would increment every minor release, which is very frustrating when attempting to provide package manager support.

Jeff Armstrong
Approximatrix, LLC